clang-tools 10.0.0

Namespaces | Functions | Variables
AvoidUnderscoreInGoogletestNameCheck.cpp File Reference
`#include <string>`
`#include "AvoidUnderscoreInGoogletestNameCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchers.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Lex/MacroArgs.h"`
Include dependency graph for AvoidUnderscoreInGoogletestNameCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::google
| clang::tidy::google::readability

## Functions
static bool | clang::tidy::google::readability::isGoogletestTestMacro (StringRef MacroName)

## Variables
constexpr llvm::StringLiteral | clang::tidy::google::readability::kDisabledTestPrefix = "DISABLED_"